# Uses of Class
org.apache.sling.api.resource.path.PathSet

Packages that use PathSet
Package
Description
org.apache.sling.api.resource.path
org.apache.sling.spi.resource.provider

## Uses of PathSet in org.apache.sling.api.resource.path

Fields in org.apache.sling.api.resource.path declared as PathSet
Modifier and Type
Field
Description
`static final PathSet`
PathSet.`EMPTY_SET`
Empty path set.
Methods in org.apache.sling.api.resource.path that return PathSet
Modifier and Type
Method
Description
`static PathSet`
PathSet.`fromPathCollection(Collection<Path> paths)`
Create a path set from a collection of path objects
`static PathSet`
PathSet.`fromPaths(Path... paths)`
Create a path set from a collection of path objects
`static PathSet`
PathSet.`fromStringCollection(Collection<String> paths)`
Create a path set from a collection of strings
`static PathSet`
PathSet.`fromStrings(String... strings)`
Create a path set from a collection of strings
`PathSet`
PathSet.`getSubset(String path)`
Generate a path set of paths from this set which are in the sub tree of the provided path
`PathSet`
PathSet.`getSubset(Path path)`
Generate a path set of paths from this set which are in the sub tree of the provided path
`PathSet`
PathSet.`getSubset(PathSet set)`
Generate a path set of paths from this set which are in at least one of the sub tree of the provided path set.
Methods in org.apache.sling.api.resource.path with parameters of type PathSet
Modifier and Type
Method
Description
`PathSet`
PathSet.`getSubset(PathSet set)`
Generate a path set of paths from this set which are in at least one of the sub tree of the provided path set.

## Uses of PathSet in org.apache.sling.spi.resource.provider

Methods in org.apache.sling.spi.resource.provider that return PathSet
Modifier and Type
Method
Description
`@NotNull PathSet`
ObserverConfiguration.`getExcludedPaths()`
The set of excluded paths.
`PathSet`
ProviderContext.`getExcludedPaths()`
Set of paths which are "hidden" by other resource providers.
`@NotNull PathSet`
ObserverConfiguration.`getPaths()`
The set of paths this listener is interested in.